<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerHitData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerHitData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_hit_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerHitDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerHitDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_hit_data.html">TrackerHitData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#acfa928fbc844c5ef5514365b3a7cbd37">   17</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit_data.html#acfa928fbc844c5ef5514365b3a7cbd37">cellID0</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#ac8ec3353a1825d721154f15259cd74fc">   18</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit_data.html#ac8ec3353a1825d721154f15259cd74fc">cellID1</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#abac4f6ccf8ffc02d7b22ac7ff05b37e0">   19</a></span>&#160;  <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit_data.html#abac4f6ccf8ffc02d7b22ac7ff05b37e0">time</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#a46807ac1037cc53082449cd401f3aed5">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_hit_data.html#a46807ac1037cc53082449cd401f3aed5">EDep</a>; </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#ace68cd89488f080b8fdd5b74adc3fc1f">   21</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_hit_data.html#ace68cd89488f080b8fdd5b74adc3fc1f">EDepError</a>; </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#ae53c66e5e0a4a87424f6af22c03c518c">   22</a></span>&#160;  std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_tracker_hit_data.html#ae53c66e5e0a4a87424f6af22c03c518c">position</a>; </div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit_data.html#a599763eb2a2028d5862d0bae888c7e6a">   23</a></span>&#160;  std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_tracker_hit_data.html#a599763eb2a2028d5862d0bae888c7e6a">covMatrix</a>; </div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;};</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_hit_data_html_ace68cd89488f080b8fdd5b74adc3fc1f"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#ace68cd89488f080b8fdd5b74adc3fc1f">eic::TrackerHitData::EDepError</a></div><div class="ttdeci">float EDepError</div><div class="ttdoc">error on EDep </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00021">TrackerHitData.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html">eic::TrackerHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00015">TrackerHitData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_abac4f6ccf8ffc02d7b22ac7ff05b37e0"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#abac4f6ccf8ffc02d7b22ac7ff05b37e0">eic::TrackerHitData::time</a></div><div class="ttdeci">long long time</div><div class="ttdoc">The time of the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00019">TrackerHitData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_acfa928fbc844c5ef5514365b3a7cbd37"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#acfa928fbc844c5ef5514365b3a7cbd37">eic::TrackerHitData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00017">TrackerHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_ae53c66e5e0a4a87424f6af22c03c518c"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#ae53c66e5e0a4a87424f6af22c03c518c">eic::TrackerHitData::position</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; position</div><div class="ttdoc">position </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00022">TrackerHitData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_ac8ec3353a1825d721154f15259cd74fc"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#ac8ec3353a1825d721154f15259cd74fc">eic::TrackerHitData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00018">TrackerHitData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_a599763eb2a2028d5862d0bae888c7e6a"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#a599763eb2a2028d5862d0bae888c7e6a">eic::TrackerHitData::covMatrix</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; covMatrix</div><div class="ttdoc">covMatrix </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00023">TrackerHitData.h:23</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_data_html_a46807ac1037cc53082449cd401f3aed5"><div class="ttname"><a href="classeic_1_1_tracker_hit_data.html#a46807ac1037cc53082449cd401f3aed5">eic::TrackerHitData::EDep</a></div><div class="ttdeci">float EDep</div><div class="ttdoc">EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_data_8h_source.html#l00020">TrackerHitData.h:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
